package org.springblade.estate.feign;

import com.baomidou.mybatisplus.plugins.Page;
import org.springblade.core.mp.support.BladePage;
import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.CarDTO;
import org.springblade.estate.entity.Car;
import org.springblade.estate.vo.CarVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class CarClientFallback implements ICarClient {
            /**
         * 详情
         */
        @Override
        public CarVO detail(Car car) {
            return null;
        }

        /**
         * 查询 车辆信息
         */
        @Override
        public List<CarVO> list(Car car) {
            return null;
        }



        /**
         * 新增 车辆信息
         */
        @Override
        public boolean save( Car car) {
            return false;
        }

        /**
         * 修改 车辆信息
         */
        @Override
        public boolean update( Car car) {
            return false;
        }

        /**
         * 新增或修改 车辆信息
         */
        @Override
        public boolean submit( Car car) {
            return false;
        }


        /**
         * 删除 车辆信息
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R<BladePage<CarVO>> page(CarDTO carDTO) {
		return R.data(null);
	}



}
